package ru.dbotthepony.kstarbound.client.render.entity

import ru.dbotthepony.kstarbound.client.world.ClientChunk
import ru.dbotthepony.kstarbound.client.StarboundClient
import ru.dbotthepony.kstarbound.world.entities.ItemEntity
import ru.dbotthepony.kvector.arrays.Matrix4fStack

class ItemRenderer(client: StarboundClient, entity: ItemEntity, chunk: ClientChunk?) : EntityRenderer(client, entity, chunk) {
	private val def = entity.def

	override fun render(stack: Matrix4fStack) {
		state.programs.textured.use()
		state.programs.textured.transform = stack.last()
		state.activeTexture = 0
		state.programs.textured.texture = 0
	}
}
